ALSA-2024:4227

See a problem?
Source
https://errata.almalinux.org/8/ALSA-2024-4227.html
Import Source
https://github.com/AlmaLinux/osv-database/blob/master/advisories/almalinux8/ALSA-2024:4227.json
JSON Data
https://api.osv.dev/v1/vulns/ALSA-2024:4227
Related
  • CVE-2024-28219
Published
2024-07-02T00:00:00Z
Modified
2024-07-03T14:21:35Z
Summary
Moderate: python-pillow security update
Details

The python-pillow packages contain a Python image processing library that provides extensive file format support, an efficient internal representation, and powerful image-processing capabilities.

Security Fix(es):

  • python-pillow: buffer overflow in _imagingcms.c (CVE-2024-28219)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References

Affected packages

AlmaLinux:8 / python3-pillow

Package

Name
python3-pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.1.1-21.el8_10

AlmaLinux:8 / python3-pillow-devel

Package

Name
python3-pillow-devel

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.1.1-21.el8_10

AlmaLinux:8 / python3-pillow-doc

Package

Name
python3-pillow-doc

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.1.1-21.el8_10

AlmaLinux:8 / python3-pillow-tk

Package

Name
python3-pillow-tk

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.1.1-21.el8_10